MedicalNotificationsResource
Reads and acknowledges medical notification episodes.
- Stable unknown
- Release candidate since 0.1.0-rc.4
- Development since 0.1.0-dev.24+fa54770
public final class MedicalNotificationsResourceReads and acknowledges medical notification episodes. Get it from NotificationsResource.medical().
Methods
list
public Page<JsonNode> list(
Map<String, ?> query,
RequestOptions options) throws IOException, InterruptedExceptionLists medical notification episodes (GET /v1/slim/notifications/medical).
Parameters:
query: query parameters;codesmust be a list of 1 to 32 LOINC codes orPIoptions: per-request options, such as the timeout
Returns: the first page; iterating it loads the next pages
Throws:
OvokValidationException: ifcodesis invalidIOException: if the request cannot be sent or the response cannot be readInterruptedException: if the thread is interrupted while waiting for the response
recent
public JsonNode recent(
Map<String, ?> query,
RequestOptions options) throws IOException, InterruptedExceptionLists recent medical notifications (GET /v1/slim/notifications/recent/medical).
Parameters:
query: query parameters;nullvalues are skippedoptions: per-request options, such as the timeout
Returns: the response body
Throws:
IOException: if the request cannot be sent or the response cannot be readInterruptedException: if the thread is interrupted while waiting for the response
retrieve
public JsonNode retrieve(
String episodeId,
RequestOptions options) throws IOException, InterruptedExceptionGets one medical episode (GET /v1/slim/notifications/medical/{episodeId}).
Parameters:
episodeId: the episode IDoptions: per-request options, such as the timeout
Returns: the response body
Throws:
IOException: if the request cannot be sent or the response cannot be readInterruptedException: if the thread is interrupted while waiting for the response
acknowledge
public JsonNode acknowledge(
String episodeId,
RequestOptions options) throws IOException, InterruptedExceptionAcknowledges a medical episode (POST /v1/slim/notifications/medical/{episodeId}/ack).
Parameters:
episodeId: the episode IDoptions: per-request options, such as the timeout
Returns: the response body
Throws:
IOException: if the request cannot be sent or the response cannot be readInterruptedException: if the thread is interrupted while waiting for the response
Last updated on